Summary: Trivial Hadopi protection
Name: hadopi
Version: 1.0
Release: 1

URL: http://www.laquadrature.net/

License: GPLv2+
Group: Applications/System

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides: HADOPI = %{version}-%{release}

%description
Le projet de loi "Création et Internet" ou "HADOPI" a été votée à
l'Assemblée nationale. Cette loi a pour objet de mettre en oeuvre
la  « riposte graduée » contre le partage d'oeuvres sur internet.
Dans  ce  dispositif  une autorité administrative (l'HADOPI) peut 
ordonner une coupure de l'accès des internautes suspectés de partage.

%prep
# nothing to do

%build
# nothing to do

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}/cron.d

cat >$RPM_BUILD_ROOT/%{_sysconfdir}/cron.d/%{name} <<EOF
# Hadopi protection Level 1
* * * * * root /sbin/service network stop &>/dev/null
# Hadopi protection Level 2
* * * * * root /sbin/service NetworkManager stop &>/dev/null
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -f /var/lock/subsys/network ] && /sbin/service network stop
[ -f /var/lock/subsys/NetworkManager ] && /sbin/service NetworkManager stop
echo 'Hadopi Protection enabled :)'


%postun
echo 'Hadopi Protection disabled :('


%files
%defattr(-,root,root,-)
%{_sysconfdir}/cron.d/%{name}


%changelog
* Wed Apr 01 2009 Remi Collet <Fedora@famillecollet.com> - 1.0-1
- Initial RPM

